Subject: Re: [PATCH net-next V2 2/4] net/dst: Utility functions to build dst_metadata without supplying an skb

From: Shmulik Ladkani <[email-masked]>
Date: Wed, 24 Aug 2016 21:53:03 +0300

Hi,

On Wed, 24 Aug 2016 15:27:08 +0300 Amir Vadai <[email-masked]> wrote:
> Extract _ip_tun_rx_dst() and _ipv6_tun_rx_dst() out of ip_tun_rx_dst()
> and ipv6_tun_rx_dst(), to be used without supplying an skb.

Additional thing.

In subsequent patches the newly introduced '_ip_tun_rx_dst' and
'_ipv6_tun_rx_dst' are used in a non "rx" context (e.g. for constructing
a IP_TUNNEL_INFO_TX in act_tunnel_key), so the names are misleading.

Consider renaming.